> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/elastic-ip/configeipprobe.md).

# ConfigEipProbe

## 1. API Description

This API (ConfigEipProbe) is used to configure public network probe of an elastic IP.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type    | Description                                                                                                                                                                        |
| -------------- | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| eipId          | Yes      | String  | <p>ID of the EIP for which public network probing is configured.</p><p>It can be obtained by calling <a href="/api-reference/zec/elastic-ip/describeeips.md">DescribeEips</a>.</p> |
| disableIcmp    | Yes      | Boolean | Whether to disable ICMP.                                                                                                                                                           |
| tcpPort        | No       | Integer | <p>TCP probe port.</p><p>Valid values: 1–65535.</p><p>Leaving it empty means the feature is not enabled.</p>                                                                       |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Configure EIP probing.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ConfigEipProbe
<Common Request Params>

Request：
{
    "eipId": "eipId1",
    "disableIcmp": true,
    "tcpPort": 20
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                        | Description                                                  |
| ---------------- | ------------------------------------------------- | ------------------------------------------------------------ |
| 404              | INVALID\_EIP\_NOT\_FOUND                          | Elastic IP does not exist.                                   |
| 400              | OPERATION\_DENIED\_EIP\_PROBE\_TCP\_PORT\_INVALID | The TCP probe port is invalid.                               |
| 500              | OPERATION\_DENIED\_EIP\_STATUS\_NOT\_SUPPORT      | Operations on the EIP with current status are not supported. |
